> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer's subscriptions

> This endpoint retrieves a list of subscriptions linked to the authenticated customer. It requires a valid bearer token to be provided in the `Authorization` header to verify the customer's identity. The response provides details on each subscription to allow customers to manage their products.



## OpenAPI

````yaml /api-reference/blink-api.json get /v1/portal/subscriptions
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /v1/portal/subscriptions:
    get:
      tags:
        - Portal
      summary: List customer's subscriptions
      description: >-
        This endpoint retrieves a list of subscriptions linked to the
        authenticated customer. It requires a valid bearer token to be provided
        in the `Authorization` header to verify the customer's identity. The
        response provides details on each subscription to allow customers to
        manage their products.
      parameters: []
      responses:
        '200':
          description: Customer's subscriptions retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerSubscriptions'
        '401':
          description: Unauthorized - Customer token required.
      security:
        - bearerAuth: []
components:
  schemas:
    CustomerSubscriptions:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              product_id:
                type: string
              variant_id:
                type: string
              status:
                type: string
              current_period_end:
                type: string
                format: date-time
              cancel_at_period_end:
                type: boolean
              created_at:
                type: string
                format: date-time
              product:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id
    bearerAuth:
      type: http
      scheme: bearer

````